<?php
session_start();
include('../config.php');
include($rutaPhp.$rutaHtml.'/maqueta/includes.php');

if($_GET['cadenaArchivosGD']) $cadenaArchivosGD=$_GET['cadenaArchivosGD']; else $cadenaArchivosGD=$_POST['cadenaArchivosGD'];


$rutaParaSubirArchivoDesdeFTP=$directorioAdicionalCredencialesFTP.$rutaHtml.$directorioDocs;  //donde proxium almacena los docs solicitados, y los sube por ftp al servidor web (depende de la creacíon de credenciales FTP y a dónde apunten)


if($cadenaArchivosGD) {

	if($rest_ws_url) {
	
		$servicio=$rest_ws_url.'/uploadDocSimple';
		$peticion='SubirImagenesProxy#'.$_SESSION['empresa'].'#'.$servicio.'#'.$cadenaArchivosGD;
	
	}
	else {
	
		$peticion='SubirImagenes#'.$_SESSION['empresa'].'#'.$rutaParaSubirArchivoDesdeFTP.'#'.$cadenaArchivosGD;
	
	}
	
	$resultado=PedirDatos($wsUsuario,$wsClave,$wsEmpresa,$peticion);
	
	if($_GET['traza']=='si') {
		echo '<p>'.$peticion.'</p>';
		print_r($resultado);
	}
	
	if($resultado[0]['Cadena']) {
		echo $resultado[0]['Cadena'];
	}
	else echo 'error';
	
}

?>